-- only use this file if you're alread using Adabill before 0.1.0
-- if you're doing a new installation, use firma.sql instead
--
-- this file adds the unique rownumber to the rechnungsposten-table and
-- converts the old database to the new format.

CREATE SEQUENCE postennummer;

SELECT nextval('postennummer') AS pnr, * INTO rp2_tmp FROM rechnungsposten;

DROP TABLE rechnungsposten;

ALTER TABLE rp2_tmp RENAME TO rechnungsposten;

ALTER TABLE rechnungsposten 
      ALTER COLUMN pnr SET DEFAULT nextval('postennummer');

ALTER TABLE rechnungsposten ADD UNIQUE(pnr);

