CREATE SEQUENCE "uid" start 1 increment 1 maxvalue 32768 minvalue 1  cache 1;

CREATE TABLE "usersettings" (
	"uid" smallint DEFAULT nextval('uid'::text) NOT NULL,
	"key" varchar(50),
	"value" varchar(255)
	Constraint usersettings_pkey Primary_Key("uid")
	);

CREATE TABLE "translations" (
	"itemid" varchar(50) UNIQUE NOT NULL,
	"lang" varchar(50),
	"text" varchar(100),
	Constraint translations_pkey Primary_Key("itemid")
	);
