with Gtk.Arguments;
with Gtk.Widget; use Gtk.Widget;
with Ustrings; use Ustrings;

package Window1_Pkg.Callbacks is
   procedure call_statusbar (text : in String);

   procedure On_Email1_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_News1_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_Web1_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_Beenden1_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure on_window1_destroy
     (Object : access Gtk_Window_Record'Class);

   procedure On_Really_Print_Always_Activate
     (Object : access Gtk_Check_Menu_Item_Record'Class);

   procedure On_Hilfe1_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_About_Activate
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_Toggle_Printer
     (Object : access Gtk_Widget_Record'Class;
      Params : Gtk.Arguments.Gtk_Args);

   procedure On_Button10_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Button11_Clicked
     (Object : access Gtk_Button_Record'Class);

   function suche_kunde
     (kundennummer, vorname, nachname : in String; query : in Ustring)
     return Ustring;

   procedure hole_kundendaten (kundennummer : in String);

   procedure On_Suchdenkunden_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Mail_Client_Pressed
     (Object : access Gtk_Button_Record'Class);

   procedure On_Modkunde_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Neurechnung_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Posten_Hinzu_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Rechnung_Fertig_Clicked
     (Object : access Gtk_Button_Record'Class);

   function on_zeige_rechnung return String;

   procedure fill_details_widget (rechnr : in String);

   procedure On_Zeige_Rechnung_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Clist3_Select_Row
     (Object : access Gtk_Clist_Record'Class;
      Params : Gtk.Arguments.Gtk_Args);

   procedure On_Change_Posten_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Delete_Posten_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Print_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Setbilldetails_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Billdetailsreset_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Search_Bill
     (Object : access Gtk_Button_Record'Class);

   procedure On_Clist4_Select_Row
     (Object : access Gtk_Clist_Record'Class;
      Params : Gtk.Arguments.Gtk_Args);

   procedure Sortmode_Change
     (Object : access Gtk_Clist_Record'Class;
      Params : Gtk.Arguments.Gtk_Args);

   procedure On_Delete_Todo_Row_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure fill_todo_list;

   procedure On_Reload_Todo
     (Object : access Gtk_Button_Record'Class);

   procedure On_Change_Priority
     (Object : access Gtk_Button_Record'Class);

   procedure On_Todo_Insert_Clicked
     (Object : access Gtk_Button_Record'Class);

   procedure On_Todo_Called_Show
     (Object : access Gtk_Label_Record'Class);

   procedure On_Write_Mail
     (Object : access Gtk_Button_Record'Class);

   procedure On_Browse_Web
     (Object : access Gtk_Button_Record'Class);

   procedure On_Read_News
     (Object : access Gtk_Button_Record'Class);

   procedure On_Misc_Sql_Clicked
     (Object : access Gtk_Button_Record'Class);

end Window1_Pkg.Callbacks;
