\connect - adi
CREATE SEQUENCE "rechnungsid" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
REVOKE ALL on "rechnungsid" from PUBLIC;
GRANT ALL on "rechnungsid" to GROUP "webface";
CREATE SEQUENCE "kundenid" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
REVOKE ALL on "kundenid" from PUBLIC;
GRANT ALL on "kundenid" to GROUP "webface";
CREATE TABLE "kunden" (
	"kundennummer" int4 DEFAULT nextval('kundenid'::text) NOT NULL,
	"vorname" character varying(50),
	"name" character varying(50),
	"firma" character varying(80),
	"strasse" character varying(100),
	"plz" character varying(12),
	"ort" character varying(50),
	"tel" character varying(40),
	"fax" character varying(40),
	"funk" character varying(40),
	"email" character varying(100),
	PRIMARY KEY ("kundennummer")
);
REVOKE ALL on "kunden" from PUBLIC;
GRANT ALL on "kunden" to GROUP "webface";
CREATE TABLE "rechnung" (
	"rechnungsnummer" int4 DEFAULT nextval('rechnungsid'::text) NOT NULL,
	"kundennummer" int4 NOT NULL,
	"datum" date,
	"zahldatum" date,
	"mitarbeiter" character varying(50),
	"status" character varying(30),
	"mahnungstyp" bool DEFAULT 't'::bool,
	"gesamtbetrag" numeric(30,2),
	"kommentar" character varying(255),
	PRIMARY KEY ("rechnungsnummer")
);
REVOKE ALL on "rechnung" from PUBLIC;
GRANT ALL on "rechnung" to GROUP "webface";

CREATE TABLE "rechnungsposten" (
	"rechnungsnummer" int4 NOT NULL,
	"artikelname" character varying(255) NOT NULL,
	"einzelpreis" numeric(15,2),
	"menge" int2
);
REVOKE ALL on "rechnungsposten" from PUBLIC;
GRANT ALL on "rechnungsposten" to GROUP "webface";
