with ab_latex;

with sql; use sql;
with Ustrings; use Ustrings;

with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package body dispatcher is

   procedure Initialize is
   begin
      null;
   end Initialize;

   procedure my_C_system (command : in String) is

      function Internal (command : in String) return Integer;
      pragma Import (C, Internal, "system");

      result : Integer;
   begin
      result := Internal (command & ASCII.Nul);
   end my_C_system;

   function hole_knr (rechnr : in String) return Ustring
   is
      ergebnis : Pg.Result_Type;
      buffer : Ustring;
      query : Ustring := To_Ustring ("select kundennummer from " &
                     "rechnung where rechnungsnummer='" & rechnr & "';");

   begin
      sql.do_query (To_String (query), ergebnis);
      Pg.Get (ergebnis, 0, 0, buffer);
      Pg.Forget (ergebnis);
      return buffer;
   end hole_knr;

   procedure printbill (rechnr : in String) is
   begin
      ab_latex.create_file (rechnr);
   end printbill;

   procedure external (action : in Positive) is
   begin
      case action is
         when 1 => my_C_system ("xterm -e mutt &");
         when 2 => my_C_system ("netscape");
         when 3 => my_C_system ("xterm -e tin &");
         when others => null;
      end case;

   end external;

   function datum (what : in Natural) return String
   is
      ergebnis : Pg.Result_Type;
      buffer : Ustring;
   begin
      do_query ("select date('today') +" & Natural'Image (what), ergebnis);
      Pg.Get (ergebnis, 0, 0, buffer);
      return To_String (buffer);

   end datum;

   procedure send_email_to_client (email : in String)
   is
   begin
      my_C_system ("xterm -e mutt " & email & "&");
   end send_email_to_client;

end dispatcher;

