------------------------------------------------------------------------
--
--  This file is intended to call the larger procedures responsible
--  for system-depended jobs. With respect of being portable we
--  should do this very clearly. The make-process needs to call
--  the procedures.
--
--  At the moment, we also provide the C-function system/exec/execve
--  inside this package.
--
------------------------------------------------------------------------

with Ustrings; use Ustrings;

--  with ab_latex; use ab_latex;

package dispatcher is

   procedure Initialize;       -- only there if we'll need it one day
   procedure my_C_system (command : in String);

   function hole_knr (rechnr : in String) return Ustring;
   procedure printbill (rechnr : in String);

   procedure external  (action : in Positive);

   function datum (what : in Natural) return String;
   procedure send_email_to_client (email : in String);


end dispatcher;
